#
# spec file for package jserv (Version 1.1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel autoconf automake java mm perl
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip java kbd less libtool libz m4 make man mktemp mm modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         jserv
%define apache_sysconfdir %(apxs -q SYSCONFDIR)
%define apache_libexecdir %(apxs -q LIBEXECDIR)
%define apache_serverroot %(apxs -q PREFIX)
%define apache_logdir     /var/log/httpd
%define apache_version    %(rpm -q --queryformat '%%{version}-%%{release}' apache)
Copyright:    1995-2001 The Apache Group
Group:        Networking/Daemons
Provides:     jsdk
Requires:     apache = %{apache_version}
Requires:     perl jre1.1.x
Autoreqprov:  on
Version:      1.1.2
Release:      240
URL:	      http://java.apache.org/
Summary:      A 100%% pure Java servlet engine for Apache
Source0:      ApacheJServ-1.1.2.tar.bz2
Source1:      jsdk20-solaris2-sparc.tar.bz2
Patch0:       ApacheJServ-1.1.2.dif
Patch1:       ApacheJServ-1.1.2-tomcat.dif
BuildRoot:    /var/tmp/%{name}-%{version}-build

%description
Apache JServ is a 100% pure Java servlet engine fully compliant with
the JavaSoft Java Servlet APIs 2.0 specification. Since we believe in
the great value complete portability between different servlet
platforms, together with portability of Java binary code, we worked
very close with JavaSoft and other JVM implementers to provide correct
interpretations or Java specifications both for servlets and for the
Java language itself.

Authors:
--------
    Tommy Reilly <tpr@neog.com>
    Vadim Tkachenko <vt@freehold.crocodile.org>
    Pierpaolo Fumagalli <ianosh@iname.com>
    Ed Korthof <ed@ultimanet.com>
    Bernard Bernstein <bernard@corp.talkcity.com>
    Jean-Luc Rochat <jlrochat@jnix.com>
    Alexei Kosut <akosut@apache.org>
    Michal Mosiewicz <mimo@interdata.pl>

SuSE series: n

%prep 
%setup -n ApacheJServ-1.1.2
%setup -c ApacheJServ-1.1.2 -n ApacheJServ-1.1.2 -a 1 -T -D
%patch0
%patch1

%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_logdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_serverroot}
mkdir -p $RPM_BUILD_ROOT/etc/rc.config.d/
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/modules/
mkdir -p $RPM_BUILD_ROOT/%{_var}/adm/fillup-templates/
cp -pr JSDK2.0 $RPM_BUILD_ROOT/%{_libdir}
test -d %{_libdir}/JSDK2.0 || cp -pr JSDK2.0 %{_libdir}
autoconf 
automake
rm -f config.cache ;
%{suse_update_config -f src/scripts/build/unix} 
CFLAGS="`apxs -q CFLAGS`" ./configure \
	--with-apxs=/usr/sbin/apxs \
	--prefix=%{apache_serverroot}/%{name} \
	--with-jdk-home=%{_libdir}/java/ \
	--with-javac=%{_libdir}/java/bin/javac \
	--with-JSDK=%{_libdir}/JSDK2.0/lib/jsdk.jar \
	--with-logdir=%{apache_logdir} \
	--enable-compressed-jar \
	--enable-overview \
	--enable-EAPI \
	--disable-debugging \
	%{_target_cpu}-suse-linux ;
make

%install
rm -f $RPM_BUILD_ROOT/etc/rc.config.d/apache.rc.config
make DESTDIR=$RPM_BUILD_ROOT install
touch $RPM_BUILD_ROOT/%{apache_logdir}/%{name}.log
touch $RPM_BUILD_ROOT/%{apache_logdir}/mod_%{name}.log
strip $RPM_BUILD_ROOT/%{apache_libexecdir}/mod_jserv.so
test -f %{apache_libexecdir}/mod_jserv.so || cp $RPM_BUILD_ROOT/%{apache_libexecdir}/mod_jserv.so %{apache_libexecdir}/mod_jserv.so
test -d $RPM_BUILD_ROOT/%{apache_sysconfdir}/modules/ || mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/modules/
echo -e "Variable:HTTPD_SEC_MOD_JSERV\nText:Jserv\nInclude:%{apache_sysconfdir}/%{name}/%{name}.conf\n" \
        > $RPM_BUILD_ROOT/%{apache_sysconfdir}/modules/%{name}
install -m 644 apache.rc.config $RPM_BUILD_ROOT/%{_var}/adm/fillup-templates/apache-%{name}.rc.config
# some automatic testing
/usr/sbin/httpd -t || exit 1
/usr/sbin/httpd -t -D JSERV || exit 1
if [ -e %{apache_sysconfdir}/suse_include.conf ] ; then
	test -e %{apache_sysconfdir}/suse_include.conf && mv %{apache_sysconfdir}/suse_include.conf /tmp/suse_include.conf
	touch %{apache_sysconfdir}/suse_include.conf
	echo -e "Include $RPM_BUILD_ROOT/%{apache_sysconfdir}/%{name}/%{name}.conf\n" >> %{apache_sysconfdir}/suse_include.conf
	%{_sbindir}/httpd -t || exit 1
	rm -f %{apache_sysconfdir}/suse_include.conf
	test -e /tmp/suse_include.conf && mv /tmp/suse_include.conf %{apache_sysconfdir}/suse_include.conf
fi

%post
echo -n "Updating etc/rc.config.d/apache.rc.config..."
if [ -x bin/fillup ] ; then
        test -e etc/rc.config.d/apache.rc.config || touch etc/rc.config.d/apache.rc.config
        bin/fillup -q -d = etc/rc.config.d/apache.rc.config var/adm/fillup-templates/apache-%{name}.rc.config
        echo " Done."
else
        echo
        echo "ERROR: fillup not found. This should not happen. Please compare"
        echo "etc/rc.config.d/apache.rc.config and "
        echo "var/adm/fillup-templates/apache-%{name}.rc.config and update by hand."
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc INSTALL LICENSE READM* docs/*.html
%{_libdir}/JSDK2.0/
%{apache_serverroot}/%{name}
%{apache_serverroot}/servlets
%{apache_sysconfdir}/%{name}
%{apache_libexecdir}/mod_jserv.so
%{apache_libexecdir}/ApacheJServ.jar
%attr(644, wwwrun, root) %config %{apache_logdir}/%{name}.log
%attr(644, wwwrun, root) %config %{apache_logdir}/mod_%{name}.log
%{apache_sysconfdir}/modules/%{name}
%{_var}/adm/fillup-templates/apache-%{name}.rc.config

%changelog -n jserv
* Wed Sep 19 2001 - schwab@suse.de
- Require jre1.1.x instead of java.
- Add %%suse_update_config.
* Tue Sep 11 2001 - ro@suse.de
- fix to build despite buildroot
* Mon Sep 10 2001 - rolf@suse.de
- switch to RPM BuildRoot
- set START variable in apache.rc.config to no
- disable welcome message [BUG#8122]
- disable debugging
* Tue Aug 14 2001 - pmladek@suse.cz
- fixed modul configuration to protect conflitcs with
  tomcat modul (bug #8067):
  * modul is loaded and configured only once
* Mon May 14 2001 - rolf@suse.de
- fixed logfile permission [BUG#8144]
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Wed Apr 04 2001 - rolf@suse.de
- fixed problem with apache version dependency
* Tue Mar 27 2001 - rolf@suse.de
- include both jserv.log and mod_jserv.log
* Fri Feb 23 2001 - rolf@suse.de
- use CFLAGS from apxs to get correct compile [BUG#6466,6488]
- add modules/jserv file for future versions of Apache
- include /var/log/httpd/jserv.log
* Wed Nov 29 2000 - rolf@suse.de
- include the logfile /var/log/httpd/mod_jserv.log
- use JAVA symbolic link instead of JDK dir [BUG#4323]
* Tue Jun 20 2000 - rolf@suse.de
- update to jserv 1.1.2
* Fri May 19 2000 - rolf@suse.de
- update to jserv 1.1.1
* Mon May 08 2000 - rolf@suse.de
- compile with -DEAPI [bug#2818]
- use dynamic serverroot detection with apxs
* Thu Apr 13 2000 - ro@suse.de
- added mm to neededforbuild
* Mon Feb 21 2000 - rolf@suse.de
- added README.SuSE
* Tue Feb 08 2000 - rolf@suse.de
- new version 1.1
* Tue Dec 14 1999 - uli@suse.de
- using JDK 1.1.8 for PPC
* Mon Dec 06 1999 - ro@suse.de
- jdk is 1.1.8 on alpha
* Fri Nov 19 1999 - rolf@suse.de
- initial RPM package
